Web lists-archives.com

Patch request to qt 5.9.4 (Re: [ANNOUNCEMENT] Qt 5.9.4)




----- Original Message -----

> From: Yaakov Selkowitz 
> To: cygwin
> Cc: 
> Date: 2018/2/24, Sat 05:02
> Subject: [ANNOUNCEMENT] Qt 5.9.4
> 
>T he following packages have been uploaded to the Cygwin distribution:
>
Dear Yaakov Selkowitz

I ask alpply a patch the below which enables to use qt terminal on gnuplot for Cygwin.
(cygQt5Network-5.dll is affected.)

--- a/qtbase-opensource-src-5.9.4/src/network/socket/qlocalsocket_unix.cpp
+++ b/qtbase-opensource-src-5.9.4/src/network/socket/qlocalsocket_unix.cpp
@@ -239,7 +239,7 @@ void QLocalSocket::connectToServer(OpenM
    }
    // create the socket
-    if (-1 == (d->connectingSocket = qt_safe_socket(PF_UNIX, SOCK_STREAM, 0, O_NONBLOCK))) {
+    if (-1 == (d->connectingSocket = qt_safe_socket(PF_UNIX, SOCK_STREAM, 0))) {
        d->errorOccurred(UnsupportedSocketOperationError,
                        QLatin1String("QLocalSocket::connectToServer"));
        return;



Tatsuro


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple